<template>
  <ObModal
    ref="modal"
    title="Подходящие для назначения ресурсы"
    size="md"
    :is-show-controls="true"
    :is-read-only="true"
  >
    <div class="service-header">
      <div class="service-header__title">Заказ:</div>
      <div class="service-header__service">
        <span class="service-icon" v-html="getServiceIcon({ uuid: mainService.serviceTypeUuid }).icon" />
        <span>{{ mainService.serviceTypeTitle }}. {{ order.service.resourceSubtypeTitle ? order.service.resourceSubtypeTitle + ' ' + order.service.resourcePatternParameter : '' }} </span>
      </div>
    </div>
    <div class="service-list">
      <div class="service-list__header">
        Подходящие типы ТС
      </div>
      <div
        v-for="item in replaceServicesList"
        :key="item.serviceTypeUuid"
        class="service-list__item"
      >
        <span class="service-icon" v-html="getServiceIcon({ uuid: item.serviceTypeUuid }).icon" />
        <span>{{ item.serviceTypeTitle }}. {{ item.serviceTitle }}</span>
      </div>
    </div>
  </ObModal>
</template>

<script>
import ObModal from 'common-components/src/obComponents/obModal'
import { mapGetters } from 'vuex'
import { getServiceIcon } from '@/constants/order'

export default {
  name: 'AccountReplaceServicesModal',
  components: {
    ObModal
  },
  computed: {
    ...mapGetters({
      order: 'account/order'
    }),
    replaceServices () {
      return this.order?.replacingServices || []
    },
    orderServiceTypeUuid () {
      return this.order?.service.serviceTypeUuid
    },
    mainService () {
      return this.replaceServices.find(item => item.serviceTypeUuid === this.orderServiceTypeUuid) || {}
    },
    replaceServicesList () {
      return this.replaceServices.filter(item => item.serviceTypeUuid !== this.orderServiceTypeUuid)
    }
  },
  methods: {
    getServiceIcon,
    open () {
      this.$refs.modal.open()
    },
    close () {
      this.$refs.modal.close()
    },
  }
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

.service-header {
  display: flex;
  align-items: center;
  margin-bottom: 30px;
  @include font-mixin(16px, 20px, 400, $color-text-base);
  &__title {
    margin-right: 16px;
    color: $gray-slate;
  }
  &__service {
    display: flex;
    align-items: center;
    .service-icon {
      display: flex;
      align-items: center;
      flex-shrink: 0;
    }
    &::v-deep {
      img {
        margin-right: 16px;
        height: 24px!important;
        width: auto!important;
      }
    }
  }
}
.service-list {
  border: 1px solid $color-grey-border;
  border-radius: 3px;
  &__header {
    padding: 15px 20px 13px 20px;
    @include font-mixin(9.5px, 10px, 400, $shale-gray, 0.2px, uppercase);
  }
  &__item {
    display: flex;
    align-items: flex-start;
    padding: 20px 15px 22px 20px;
    border-top: 1px solid $lavender;
    @include font-mixin(14px, 18px, 400, $color-text-base);
    .service-icon {
      display: flex;
      align-items: flex-start;
      flex-shrink: 0;
      width: 54px;
      margin-right: 20px;
      padding-top: 1px;
    }
    &::v-deep {
      img {
        max-width: 100%;
      }
    }
  }
}
</style>